# Duolingo Button

<img src="https://www.linkpicture.com/q/ezgif.com-gif-maker_21.gif" width="300" />

| Props                       | Required | Default Value                              |
| --------------------------- | -------- | ------------------------------------------ |
| **style** style             | No       |                                            |
| **title** string            | Yes      | Duolingo Button                            |
| **textStyle** object        | No       |                                            |
| **paddingStyle** object     | No       | padidngHorizontal: 12, paddingVertical: 24 |
| **primaryColor** string     | No       | #F7BE1F                                    |
| **shadowColor** string      | No       | #BF8E00                                    |
| **shadowDepth** number      | No       | 5                                          |
| **radius** number           | No       | 8                                          |
| **occupyFullWidth** boolean | No       | false                                      |
| **loaderColor** string      | No       | #000000                                    |
| **loaderSize** number       | No       | 24                                         |
| **isLoading** boolean       | No       | false                                      |
| **onPress** function        | Yes      |                                            |

## Install

```
npm install react-native-duolingo-button
```

## Usage

```js
import DuolingoButton from "react-native-duolingo-button";

const Button = () => {
  const onPress = () => {};
  return (
    <DuolingoButton
      onClickCallback={onPress}
      style={styles.style}
      textStyle={styles.textStyle}
      paddingStyle={styles.paddingStyle}
      title={"Duolingo Button"}
    />
  );
};
```
